000025793 - How to obtain the version information for RSA Authentication Agent for PAM installed on Linux

Document created by RSA Customer Support Employee on Feb 13, 2019Last modified by RSA Customer Support Employee on Feb 13, 2019
Version 2Show Document
  • View in full screen mode

Article Content

Article Number000025793
Applies ToRSA Product Set: SecurID
RSA Product/Service Type: Authentication Agent for PAM
IssueThis article explains how to accurately identify the RSA Authentication Agent for PAM version installed from the Linux client or server which is integrated to RSA for two-factor authentication.
Resolution

You can determine the version of the RSA Authentication Agent for PAM via the strings command Following are examples on determining the agent version.



  1. Find where your PAM agent is installed via the find command.

/opt is the default agent install directory.




[bash #] find / -name pam
/etc/log.d/scripts/services/pam
/opt/pam


  1. Navigate to the installation directory


[bash #] cd /opt/pam/lib


  1. Run the strings command for the version.  


[bash #] strings pam_securid.so | grep Agent
@(#)RSA Authentication Agent 8.0.0 for PAM [195]


  1. Run the following command to obtain the version number along with build information of the RSA installed PAM agent.  Sample output is included.


[bash #] strings pam_securid.so | grep Agent
RSA Authentication Agent 8.0.0 for PAM [195] 11_23_17_04_55_27

 


[bash #] strings pam_securid.so | grep "Built on"
. Built on Jan 19 2018 13:30:33



For older versions




[bash]# strings pam_securid.so | grep Agent
@(#)RSA Authentication Agent 6.0 for PAM [011]


 




[bash]# strings pam_securid.so | grep Agent
@(#)RSA Authentication Agent 5.3 for PAM [254]
Legacy Article IDa32124

Attachments

    Outcomes